Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.essbase.api.dataquery
Interface IEssOpRetrieve

All Superinterfaces:
  IEssBaseObject, IEssOperation

public interface IEssOpRetrieve
extends IEssOperation

The IEssOpRetrieve interface is a retrieve or conditional retrieve operation.

Nested Class Summary

Nested classes inherited from class com.essbase.api.dataquery.IEssOperation
`IEssOperation.EEssOperationType`

Method Summary
`IEssCubeView.EEssQueryGrammar` | `getQueryGrammar()` Gets the grammar for the query/report specification.
`java.lang.String` | `getQuerySpec()` Gets the query/report specification relating to the condition for retrieval.
`boolean` | `isConditionalRetrieve()` Checks if the operation is conditional retrieve.
`boolean` | `isLockDataBlocks()` Checks if to lock data blocks on retrieval.
`boolean` | `isNoAttributes()` Checks if to obtain attributes for the resulting cell values.
`void` | `setLockDataBlocks(boolean lockDataBlocks)` Sets if to lock data blocks on retrieval.
`void` | `setNoAttributes(boolean noAttributes)` Sets if to obtain attributes for the resulting cell values.
`void` | `setQuery(java.lang.String querySpec, IEssCubeView.EEssQueryGrammar queryGrammar)` Sets the query/report specification relating to the condition for retrieval.

Methods inherited from interface com.essbase.api.dataquery.IEssOperation
`getOperationType`

Method Detail

### isLockDataBlocks

    public boolean isLockDataBlocks()
                             throws EssException

  Checks if to lock data blocks on retrieval.

  Returns:
    true, if to lock associated data blocks.
  Throws:
    `EssException` - if an error occurs.

### setLockDataBlocks

    public void setLockDataBlocks(boolean lockDataBlocks)
                           throws EssException

  Sets if to lock data blocks on retrieval.

  Returns:
    true, if to lock associated data blocks.
  Throws:
    `EssException` - if an error occurs.

### getQuerySpec

    public java.lang.String getQuerySpec()
                                  throws EssException

  Gets the query/report specification relating to the condition for retrieval.

  Returns:
    The report specification.
  Throws:
    `EssException` - if an error occurs.

### getQueryGrammar

    public IEssCubeView.EEssQueryGrammar getQueryGrammar()
                                                  throws EssException

  Gets the grammar for the query/report specification.

  Returns:
    The query grammar.
  Throws:
    `EssException` - if an error occurs.

### setQuery

    public void setQuery(java.lang.String querySpec,
                         IEssCubeView.EEssQueryGrammar queryGrammar)
                  throws EssException

  Sets the query/report specification relating to the condition for retrieval.

  Parameters:
    `querySpec` - The query/report specification.
  Throws:
    `EssException` - if an error occurs.

### isConditionalRetrieve

    public boolean isConditionalRetrieve()
                                  throws EssException

  Checks if the operation is conditional retrieve.

  Returns:
    true, if the operation is conditional retrieve.
  Throws:
    `EssException` - if an error occurs.

### isNoAttributes

    public boolean isNoAttributes()
                           throws EssException

  Checks if to obtain attributes for the resulting cell values.

  Returns:
    true, if to obtain attributes for the resulting cell values.
  Throws:
    `EssException` - if an error occurs.

### setNoAttributes

    public void setNoAttributes(boolean noAttributes)
                         throws EssException

  Sets if to obtain attributes for the resulting cell values. Default behavior is to obtain attributes for the resulting cell values.

  Parameters:
    `noAttributes` - true, if to obtain attributes for the resulting cell values.
  Throws:
    `EssException` - if an error occurs.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD